Subject: Re: "git clone --depth <depth>" producing history with <depth + 1> commits?

From: Sebastian Pipping <[email-masked]>
Date: Thu, 02 Apr 2009 03:19:09 +0200

Johannes Schindelin wrote:
>> Anyone?  Is "git clone --depth 1 <ropository>" really supposed to 
>> produce a history holding _two_ commits?  Why so?
> 
> Because storing _no_ commit (according to you, that should happen with 
> --depth=0) would make no sense?
> 
> After all, if you want to clone, you want to clone at least _something_.

I'm aware you need one commit at least.

I didn't think of several branches before.
I guess that's resolving the core of my question.

Sebastian